Bug 969225 - Information disclosure in screenlock and "Classic mode"
Information disclosure in screenlock and "Classic mode"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 19:57 EDT by Stephen John Smoogen
Modified: 2013-06-03 19:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 19:17:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2013-05-30 19:57:23 EDT
Description of problem:

When a user has Classic mode activated, the screen lock does not cover the entire screen but allows the bottom bar to be visible. This allows for an outside user to be able to see what processes and activities the locked user had going.

A non-authorized user can interact with items in the bottom menu and also "switch" desktops via the exposed menu. If the application allows for interaction via icon it can be done by a non-authenticated user.
Comment 1 Matthias Clasen 2013-05-30 23:15:31 EDT
Which version of gnome-classic-session / gnome-shell do you have ?
I think this problem was fixed in 3.8.2
Comment 2 Florian Müllner 2013-05-31 08:51:05 EDT
Extensions are disabled when the screen is locked, so this would be a bug in the window-list extension then (e.g. it fails in the disable() method). I'll take a look ...
Comment 3 Stephen John Smoogen 2013-05-31 10:46:37 EDT
I have on the system

gnome-classic-session-3.8.2-1.fc19.noarch
gnome-session-3.8.2.1-1.fc19.noarch
gnome-shell-extension-window-list-3.8.2-1.fc19.noarch

I am running yum update and will reboot and check to see if it is still the case.
Comment 4 Stephen John Smoogen 2013-06-03 19:17:39 EDT
I am closing this bug. I did an update this morning, rebooted the system and then tried to replicate the bug. The problem could not show up again so I am guessing some fix somewhere in the stack for X->GDM->Gnome-Shell->PBKAC 

Thank you guys for looking at it and fixing it by doing so :).

Note You need to log in before you can comment on or make changes to this bug.